input[type="file"]{
    display: none;
}

H1{
    font-family: Arial;
}

p{
    font-family: Arial;
    font-size: 1.2em;
    color: white;
    white-space: pre-line;
}

li{
    font: arial;
}

.styleIframe{
    position: absolute;
    top: 15%;
    left:15%;
    width: 70%;
    height: 70%;
    border: none;
    border-radius: 0.5rem;
    background-color: black;
}

.label{
    color: yellow;
    font-family: arial;    
}

.labelMsgAdm{
    font-family: arial;
    font-size: 0.8em;
    font-weight: bolder;
    margin-left: 2.5%;
    color: white;
}

.bodyIndex{
    background-color: black; 
    margin-left: 5px;
    overflow: auto;
    user-select: none;
}

/***********************************************************************************************
* BLOCO DO SUBMENU DE EVENTOS
************************************************************************************************/
.sub{
    position: relative;
    margin-top: 0.5%;
    width: 88%;
    height: 45%;
    border-radius: 1em;
    background-color: blue;
    color: white;
    align-content: center;
    font-family: arial;
    font-size: 1em;
    cursor: pointer;
}

.subAtivos{
    padding-left: 15%;    
}

.subEncerrados{
    padding-left: 15%;    
}

.sub:hover{
    background-color: red;
    color: yellow;
    font-weight: bolder;
}

.tela{
    position: relative;
    width: 100%;
}

/***********************************************************************************************
* BLOCO DO MENU HOME
************************************************************************************************/
.home{
    display: none;
    width: 100%;
    height: auto;
    color: white;
}

.classBemVindo{
    margin-left: 0.3em;
    font: arial;
}

.personalizacao{
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 1%;
    flex-wrap: wrap;
    width: 99%;
    height: auto; 
    padding: 1%;
}

.personImg{
    position: relative;
    width: 32%;
    height: 290px;
    border: 1px solid white;
    margin-bottom: 3%;
}

.imgPerson{
    position: relative;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.preferRedes{
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 2%;
    height: 35px;
    width: 100%;
    top: -35px;
}

.detalheRede{
    height: 100%;
    width: 35px;
    cursor: pointer;
}

.homeGif{
    position: relative;
    width: 48%;
    height: 100%;
}

.gif{
    width: 100%;
    height: 100%;
}

.eventos{
    display: none;
}

.itensFiltro{
    position: relative;
    display: flex;
    flex-direction: row;
    gap: 0.5%;
    left: 0.5%;
    width: 99.5%;
    overflow: hidden;
    height: 7%;
}

.filtro{
  border: none;
  cursor: pointer;
  padding: 5px 16px;
  font-family: arial;
  font-size: 1.2em;
  border-top-right-radius: 1em;
  border-top-left-radius: 1em; 
  color: black;    
}

.Evt{
    background-color: rgb(255, 185, 120);
    width: 7%;
}

.Art{
    width: 7%;
    background-color: rgb(255, 159, 69);
}

.Ban{
    width: 6%;
    background-color: rgb(255, 235, 120);
}

.Csh{
    width: 20%;
    background-color: rgb(236, 208, 50);
}

.Pat{
    width: 16%;
    background-color: rgba(135, 251, 255, 0.884);
}

.Pro{
    width: 11%;
    background-color: rgba(168, 196, 248, 0.87);
}

.detalhamento{
    margin-left: 0.5%;
    width: 99.5%;
    height: auto;
    min-height: 400px;
    padding: 1% 1% 1% 1%;
    box-sizing: border-box;    
    background-color: rgb(255, 185, 120);
}

.homePrincipal{
    position: relative;
    margin-top: 30px;
    width: 100%;
    height: auto;
    font-family: arial;
    font-size: 1.5em;
}

.quadroItens{
    position: absolute;
    z-index: 10;
    width: 97.5%;
    height: 40px;
    box-sizing: border-box; 
}

.grupoItensEventos{
    float: right;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-right: 1%;
    width: 15%;
    height: 30px;
}

.grupoItensParticipantes{
    float: right;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-right: 1%;
    width: 8%;
    height: 35px;
}

.curtirE{
    position: relative;
    background-repeat: no-repeat;
    background-size: 80% 100%;
    background-position: right; 
    width: 25%;
    height: 100%;
    cursor: pointer;
}

.deOlhoE{
    position: relative;
    background-repeat: no-repeat; 
    background-size: 80% 100%; 
    background-position: right;
    width: 25%;
    height: 100%;
    cursor: pointer;
}

.euVouE{
    position: relative;
    background-repeat: no-repeat;
    background-size: 80% 100%; 
    background-position: right;
    width: 25%;
    height: 100%;
    cursor: pointer;
}

.curtirP{
    background-repeat: no-repeat;
    background-size: 80% 100%;
    background-position: right; 
    width: 50%;
    height: 100%;
    cursor: pointer;
}

.favoritei{
    background-repeat: no-repeat;
    background-size: 60% 70%; 
    background-position: right;
    width: 50%;
    height: 100%;
    cursor: pointer;
}

/***********************************************************************************************
* BLOCO DO MENU EVENTOS
************************************************************************************************/
.exibeEventos{
    position: relative;
    margin-top: 1%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 400px;
    margin-bottom: 2%;
    align-items: center;
}

.eventoImg{
    position: relative;
    width: 40%;
    height: 300px;
    left: 1%;
}

.publicacaoImg{
    position: relative;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.eventoDetalhes{
    position: relative;
    width: 58%;
    height: 80%;
}

.blocoImgDatas{
    position: relative;
    width: 100%;
    height: 48%;
    display: flex;
    flex-direction: row;
}

.detalheLogo{
    position: relative;
    margin-top: 1%;
    margin-left: 2%;
    width: 35%;
    height: 88%;
}

.logoCasa{
    width: 60%;
    height: 70%;
}

.detalheDatas{
    position: relative;
    width: 65%;
    height: 88%;
    font-family: arial;
    font-size: 0.8em;
    color: white;
}

.contexto{
    position: relative;
    width: 96%;
    height: 46%;
    margin-top: 1%;
    margin-left: 2%;
    color: white;
}

.classTextArea{
    position: relative;
    resize: none;
    background-color: black;
    color: white;
    border: none;
    font-family: arial;
    font-size: 1.3em;
    width: 100%;
    height: 100%;
}

.pMsg{
    position: relative;
    color: red;
}

/***********************************************************************************************
* BLOCO DO MENU PUBLICACORES
************************************************************************************************/
.publicadores{
    display: none;
    background-color: green;
}

.bandas{
    display: none;
    background-color: yellow;
}

.artistas{
    display: none;
    background-color: cyan;
}

.patrocinadores{
    display: none;
    background-color: brown;
}

.configuracoes{
    display: none;
    background-color: green;
}

.rodape{
    position: fixed;
    background-color: blue;
    color: white;
    top: 93%;
    left: 0;
    height: 8%;
    line-height: 100%;
    width: 100%;
    padding-top: 0.5%;
    padding-left: 0.5%;
}

/**************************************************************************************
*  TRATAMENTO DO USUÁRIO NÃO LOGADO - DESLOGADO                                       *
***************************************************************************************/
.acoesLogar{
    position:fixed;
    z-index: 1; 
    width: 35%; /* toda a largura do navegador da esquerda para a direita independente do tamanho da tela */
    height: 78%; /* toda a altura do navegador de cima para baixo independente do tamanho da tela */
    top: 8%;
    left:63.5%;
    background-color:aquamarine;
    border-radius: 30px;
    display: none; /* É nesse ponto que o modal está sendo escondido */
}

.modalLogar{
    position:relative;
    width: 100%;
    height: 45%;
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: center;  
}

.txtPerfil{
    position: absolute;
    font-size: 1.3em;
    top: 4%; 
}

.ftPerfDeslog{
    position: relative; /* mudi aqui hj de relative para absolute */
    width: 30%;
    height:60%;
}

.imgFtPerfDeslog{
    position: absolute;
    left: 0%;
    border-radius: 100px; 
    width: 100%;
    height: 100%; 
    box-shadow: 1px 1px 10px;
}

.acesso{
    position: relative;
    left: 3%;
    display: block; 
}

.lblAcesso{
    font-size: 18px;
}

.txtAcesso{
    width: 400px;
    height: 30px;
    font-size: 20px;
}

.validarToken{
    position: absolute;
    top: 35%;
    left: 3%;
    display: none; 
}

/**************************************************************************************
*  TRATAMENTO DO USUÁRIO LOGADO                                                   *
***************************************************************************************/
.acoesLogado{
    position: fixed;
    z-index: 1; 
    width: 30%; /* toda a largura do navegador da esquerda para a direita independente do tamanho da tela */
    height: 60%; /* toda a altura do navegador de cima para baixo independente do tamanho da tela */
    top: 8%;
    left:69%;
    background-color:aquamarine;
    border-radius: 30px;
    display: none; /* É nesse ponto que o modal está sendo escondido */
    z-index: 10;
}

.modalLogado{
    position:relative;
    width: 100%;
    height: 60%;
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.fotoPerfilLogado{
    position: relative; /* mudi aqui hj de relative para absolute */
    top: 3%;
    width: 35%;
    height:70%; 
}

.imgFotoPerfilLogado{
    position: absolute;
    left: 0%;
    border-radius: 100px; 
    width: 100%;
    height: 100%; 
    box-shadow: 1px 1px 10px;
}

.imgFotoPerfil{
    animation: piscar 1s infinite;
}

.envio{ 
    position: fixed;
    width: 30%;
    height: 30%;
    display: flex;
    top: 10%;
    display: block;  
}

.enviar{
    position: relative;
    display: flex;
    flex-direction: row;
    width:100%;
    height: 100%;
}

.lblSelecionarArq{ /* Esse é o objeto que está transparente em cima da imagem e o comportamento de tamanho está correto */
    position:absolute;
    display: block;
    cursor: pointer;
    color: transparent;
    text-align: center;
    border-radius: 100px;
    top: 30%;
    left: 32.5%;
    width: 35%;
    height: 75%; 
    box-shadow: 1px 1px 10px;
}

.lblEnviarArq{
    position: absolute;
    display: none;
    cursor:pointer;
    left: 58%;
    top:62%;
    width: 15%;
    height: 30%;
    color:transparent; 
    background: no-repeat;
    background-color: orange;
    background-image: url('../img/upload.png');
    background-position: center;
    border-radius: 100px;
    box-shadow: 1px 1px 10px;
}

.EnviarArq{
    display: none;
}

.txtFixo{
    display: none;
    position: fixed;
    left: 90.5%;
    top: 32%;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 1.1em;
}

.opcoesGeralLogado{
    position:relative;
    display: none;
    width: 70%;
    left:14%;
}

.opcoesLogado{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-content: center;
    align-items: center;
}

.configurar{
    cursor: pointer;
    width: 20%;
    height: 20%;
}

.parametrizar{
    cursor: pointer;
    width: 20%;
    height: 20%;
}

.sair{
    cursor: pointer;
    width: 20%;
    height: 20%;
}

.criarEvento{
    cursor: pointer;
    width: 20%;
    height: 20%;
}

.telaAdm{
    display: none; 
    position: absolute;
    background-color: transparent;
    z-index: 1; 
    top: 35px;
    left: 0;
    width: 100%;
    height: 90%;
}

.administrador{
    position: relative;
    width: 100%;
    margin-top: 1%;
    margin-left: 0;
    height: 95%;
    background-color: black;
}

.msgAdm{
    position: relative;
    width: 95%;
    margin-top: 0.5%;
    left: 2.5%;
    height: 8%;
    font-family: arial;
    align-content: center;
    justify-content: space-between;
    text-align: center;
    border: 1px solid white;
    color: white;
    margin-bottom: 1%;
}

.gambiarra{
    width: 4%;
    background-color: transparent;
    border: none;
}

.grupoEscolha{
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 0.5%;
    width: 95%;
    left: 2.5%;
    height: 80%;
}

.selecaoAdm{
    position: relative;
    width: 70%;
    height: 100%;
}

.cxSelecaoAdm{
    width: 100%;
    height: 95%;
    margin-top: 0.5%;
    font-family: arial;
    font-size: 1.2em;
    background-color: white;
    color: black;
}

.confirmacao{
    width: 35%;
    height: 40%;
    align-content: center;
}

.user{
    position: relative;
    margin-left: 30%;
    width: 60%;
    height: 50%;
    background-color: blue;
    color: white;
    align-content: center;
    text-align: center;
    border-radius: 10%;
    font-family: arial;
    font-size: 1.2em;
    cursor: pointer;
}

.user:hover{
    background-color: red;
    color: yellow;
}

.styleDialogContato{
  border: none;
  width: 100%;
  height: 100%;
  background-color: rgb(124, 121, 121, 0.8);
  position: relative;
  user-select: none;
}

.pgContatos{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 75%;
  height: 65%;
  padding: 1%;
  background-color: black;
}

.corpoContato{
  position: relative;
  height: 73%;
  width: 97%;
  margin-left: 1%;
  padding: 0.5%;
  background-color: rgba(240, 96, 13, 0.800);
  margin-bottom: 2%;
  color: #000000
}

.lblContato{
    display: block;
    font-family: arial;
    font-size: 0.7em;
    color: white;
    margin-bottom: 5px;
}

.classMsgErro{
    font-family: arial;
    font-size: 0.7em;
    margin-left: 2%;
    color: transparent;
}

.dadosPrincipais{
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    padding: 2%;
}

.divCelular{
    width: 20%;
    height: 30px;
}

.clCelular{
    width: 100%;
    height: 100%;
    font-family: arial;
    font-size: 1.2em;
}

.clCelular::placeholder{
    font-size: 0.8em;
}

.divTipoContato{
    width: 20%;
    height: 30px;
}

.clTipoContato{
    width: 100%;
    height: 100%;
    font-family: arial;
    font-size: 1.2em;
}

.demaisDados{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 30px;
    padding: 2%;
    margin-bottom: 3%;
}

.txtDemais{
    width: 100%;
    font-family: arial;
    font-size: 1.2em;
    height: 30px;
} 

.divMsgAjudaContato{
    position: relative;
    width: 100%
}

.msgAjudaContato{
  color: white;
  font-family: arial;
  font-size: 0.9em;
}

.blocoFinalContato{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 98%;
  height: 8%;
  margin-top: 20px;
  margin-left: 0.5%;
  padding: 0.5%;
  align-items: center;
}

.btnContato{
  margin-top: 0.5%;
  border-radius: 0.5rem;
  width: 30%;
  height: 90%;
  background-color: blue;
  color: white;
  cursor: pointer;
}

.btnContato:hover{
  background-color: red;
  color: yellow;
}


/**************************************************************************************
*  ESTAS CLASSES ESTÃO NO HTML CRIARACESSO                                            *
***************************************************************************************/
.bodyCriarAcesso{
    user-select: none;
}

.validarTokenCriarAcesso{
    position: absolute;
    top: 31%;
    display: none; 
}


/**************************************************************************************
*  ESTAS CLASSES ESTÃO NO HTML GERARSENHA                                             *
***************************************************************************************/
.bodyGerarSenha{
    user-select: none;
}

.validarTokenTrocarSenha{
    position: absolute;
    top: 34%;
    left: 0.5%;
    display: none;  
}

.camposEsqueciSenha{
    position: absolute;
    top: 34%;
    display: none; 
}

.esqueciSenha{
    display: block; 
}

/**************************************************************************************
*  ESTAS CLASSES ESTÃO NO HTML VALIDARCADASTRO                                        *
***************************************************************************************/
.bodyValidarCadastro{
    user-select: none; 
}


/**************************************************************************************
*  A PARTIR DESTE PONTO O CSS TRATARÁ DO COMPORTAMENTO DE UM CELULAR ACESSANDO O SITE *
***************************************************************************************/
@media(max-width: 450px){
    h1{
        font-size: 15px;
    }

    h2{
        font-size: 13px;
    }

    .homePrincipal{
        font-size: 0.9em;
    }

    .classBemVindo{
        font-size: 0.8em;
    }

    .itensFiltro{
        font-size: 0.5em;
        height: 22px;
    }

    .filtro{
        left: 0;
        padding-left: 2px; 
    }

    .grupoItensEventos{
        width: 40%;
        height: 30px;        
    }

    .grupoItensParticipantes{
        width: 20%;
        height: 30px;        
    }

    .detalhamento{
        min-height: 400px;
    }

    .personImg{
        width: 48%;
        height: 150px;
        margin-bottom: 7%;
    }

    .preferRedes{
        height: 25px;
        top: -25px;
    }

    .detalheRede{
        height: 100%;
        width: 25px;
    }

    .rodape{
        font-size: 12px;
        top: 90%;
        height: 10%;
    }

    .gif{
        align-content: center;
        width: 100%;
        height: 50%;
    }
    

/***********************************************************************************************
* BLOCO DO MENU EVENTOS
************************************************************************************************/
    .exibeEventos{
        height: 200px;
        margin-bottom: 50px;
    }

    .eventoImg{
        width: 55%;
        height: 90%;
        left: 0;
    }

    .eventoDetalhes{
        width: 50%;
        height: 100%;
    }

    .blocoImgDatas{
        flex-direction: column;
    }

    .detalheLogo{
        margin-top: 6%;
        margin-left: 3%;
        width: 100%;
        height: 80%;
    }

    .logoCasa{
        position: relative;
        width: 60%;
        height: 100%;
    }

    .detalheDatas{
        left: 3%;
        width: 100%;
        height: 88%;
        font-family: arial;
        font-size: 0.5em;
    }

    .contexto{
        display: none;
    }

/**************************************************************************************
*  TRATAMENTO DO USUÁRIO NÃO LOGADO - DESLOGADO                                       *
***************************************************************************************/
    .acoesLogar{
        width: 85%; /* toda a largura do navegador da esquerda para a direita independente do tamanho da tela */
        top: 12%;
        left:12%;
        height: 65%;
    }
    
    .modalLogar{
        height: 35%;
    }
       
    .txtAcesso{
        width: 250px;
        font-size: 1em;
    }
       

/**************************************************************************************
*  TRATAMENTO DO USUÁRIO LOGADO                                                       *
***************************************************************************************/
    .acoesLogado{
        width: 85%; /* toda a largura do navegador da esquerda para a direita independente do tamanho da tela */
        top: 12%;
        left:12%;
        height: 45%;
    }

    .fotoPerfilLogado{
        width: 40%;
        height: 70%;
    }

    .envio{ 
        width: 35%;
        height: 35%;
    }

    .lblSelecionarArq{ /* Esse é o objeto que está transparente em cima da imagem e o comportamento de tamanho está correto */
        top: 20%;
        left: 73%;
        width: 97%;
        height: 52%;
    }

    .lblEnviarArq{
        left: 150%;
        top: 50%;
        width: 55%;
    }

    .txtFixo{
        left: 82%;
        top: 32%;
        font-size: 0.9em;
    }

    .opcoesGeralLogado{
        top: 5%;
        width: 85%;
        left:7%;
    }

    .lblContato{
        font-size: 0.5em;
    }

    .dadosPrincipais{
        margin-bottom: 6%;
    }

    .divCelular{
        width: 48%;
    }

    .clCelular{
        font-size: 1em;
    }

    .divTipoContato{
        width: 48%;
    }

    .clTipoContato{
        font-size: 1em;
    }

    .txtDemais{
        font-size: 1em;
    } 

    .msgAjudaContato{
        font-size: 0.8em;
    }

/**************************************************************
*                         DIVERSOS                            *
***************************************************************/
    .validarTokenCriarAcesso{
        top: 62%;
    }
    
    .validarAcesso{
        width: 80%;
        top: 25%;
    }    

    .txtToken{
        width: 250px;
        height: 30px;    
    }

    .esqueciSenha{
        width: 98%; 
    }

    .validarTokenTrocarSenha{
        width: 98%;
        top: 65%;
        left: 2%;
    }

    .camposEsqueciSenha{
        width: 65%;
    }
}